CVE-2022-2874

Name
CVE-2022-2874
Description
NULL Pointer Dereference in GitHub repository vim/vim prior to 9.0.0224.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/vim/vim/commit/4875d6ab068f09df88d24d81de40dcd8d56e243d
CONFIRM https://huntr.dev/bounties/95f97dfe-247d-475d-9740-b7adc71f4c79

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:vim:vim:*:*:*:*:*:*:*:* vim >= None < 9.0.0223

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
vim 3.16-main 8.2.5000-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
vim 3.15-main 8.2.4836-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
vim 3.14-main 8.2.4836-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
vim 3.13-main 8.2.4836-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable